summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/autogen.sh b/autogen.sh
index 0eac5f59..51f51c40 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -7,10 +7,16 @@ test -n "$srcdir" || srcdir=.
olddir=`pwd`
cd "$srcdir"
-GTKDOCIZE=`which gtkdocize`
+GTKDOCIZE=$(which gtkdocize 2>/dev/null)
if test -z $GTKDOCIZE; then
- echo "*** No GTK-Doc found, please install it ***"
- exit 1
+ echo "You don't have gtk-doc installed, and thus won't be able to generate the documentation."
+ rm -f gtk-doc.make
+ cat > gtk-doc.make <<EOF
+EXTRA_DIST =
+CLEANFILES =
+EOF
+else
+ gtkdocize || exit $?
fi
AUTORECONF=`which autoreconf`
@@ -19,7 +25,6 @@ if test -z $AUTORECONF; then
exit 1
fi
-gtkdocize || exit $?
autoreconf --force --install --verbose || exit $?
cd "$olddir"